# Changelog

This document outlines major changes between releases.

## [Unreleased]

### Added
- Multiple configs support (TrueCloudLab#12)
- Support dump metrics descriptions (#29)
- Support impersonate bearer token (#40)

### Changed
- Update prometheus to v1.15.0 (#35)
- Update go version to 1.18 (TrueCloudLab#9)
- Update go version to 1.19 (#50)
- Update neo-go to v0.101.0 (#8)
- Update viper to v1.15.0 (#8)
- Errors have become more detailed (#18)
- Update system attribute names (#22)
- Separate integration tests with build tags (#24)
- Changed values for `frostfs_http_gw_state_health` metric (#32)

### Removed
- Drop `tree.service` param (now endpoints from `peers` section are used) (#59)

### Updating from neofs-http-gw v0.26.0

To set system attributes use updated headers
(you can use old ones for now, but their support will be dropped in the future releases):

* `X-Attribute-Neofs-*` -> `X-Attribute-System-*`
* `X-Attribute-NEOFS-*` -> `X-Attribute-SYSTEM-*`
* `X-Attribute-neofs-*` -> `X-Attribute-system-*`


## Older versions

This project is a fork of [NeoFS HTTP Gateway](https://github.com/nspcc-dev/neofs-http-gw) from version v0.26.0.
To see CHANGELOG for older versions, refer to https://github.com/nspcc-dev/neofs-http-gw/blob/master/CHANGELOG.md.

[Unreleased]: https://git.frostfs.info/TrueCloudLab/frostfs-http-gw/compare/72734ab4...master
